<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }extract($_POST);
    //fin validar session
    
     $q1 = "SELECT idcd, lugar FROM centros";
	   $consultada1 = mysqli_query($conexion, $q1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
    
    
	 $q2 = "SELECT idusuarios_ci, usuarios_ci.nombre as name, lugar, nombre_usr, passwd, centros_idcd, telefono, direccion  FROM `usuarios_ci` join centros on (usuarios_ci.centros_idcd=centros.idcd)  WHERE idusuarios_ci=$idcd";

	
	 
	 echo"<center><font size=\"5\"><b>Modificar Centro de Distribuci&oacute;n $idcd</b><br><br></font>";
	if($lista2!="Modificar Centro"){
$rPP = mysqli_query($conexion, $q2) or die ('ErrPP: '. mysqli_error($conexion));
		while (($objetoPP=mysqli_fetch_object($rPP)) )
{
echo"<form name=\"Agrega2\" action=\"modcentro.php\" method=\"post\">
<table cellpadding=\"5\" cellspacing=\"5\">
								<tr><td>Encargado</td><td><input type=\"text\" name=\"nombre\"  size=50 value=\"$objetoPP->name\"></td>
								</tr>
								<tr><td>Ciudad</td><td><select name = \"listacd\">";
							while ($datos = mysqli_fetch_array($consultada1))
							{
									if($datos[0]==$objetoPP->centros_idcd){echo "<option selected value=\"".$datos[0]."\">".$datos[1]."</option>\n";}else{
									echo "<option value=\"".$datos[0]."\">".$datos[1]."</option>\n";}
							
							}
							echo"</select></td></tr>
								<tr><td>Nombre Usuario:</td><td><input type=\"text\" name=\"user\" value=\"$objetoPP->nombre_usr\"></td></tr>
								<tr><td>Contrase&ntilde;a</td><td><input type=\"text\" name=\"pass\" value=\"$objetoPP->passwd\"></td></tr>
								<tr><td>Telefono</td><td><input type=\"text\" name=\"tel\" value=\"$objetoPP->telefono\"></td></tr>
								<tr><td>Direcci&oacute;n</td><td><input type=\"text\" name=\"dir\" size=50  value=\"$objetoPP->direccion\"></td></tr>
								</table>

<input type=\"submit\" name=\"lista2\"  value=\"Modificar Centro\" /><input type=hidden name=elcd value=\"$idcd\" /></form>
";}}
else {
	
	
	if($nombre!=null && $listacd!=null && $user!=null && $pass!=null){
echo"Los datos capturados son los siguientes:<br><br>
ID Centro: <b>$elcd</b><br><br>
Encargado: <b>$nombre</b><br><br>
ID Ciudad: <b>$listacd</b><br><br>
Usuario: <b>$user</b><br><br>
Contrase&ntilde;a: <b>$pass</b><br><br>
Telefono: <b>$tel</b><br><br>
Direccion <b>$dir</b><br><br>

<form name=\"Agrega3\" action=\"modcentro2.php\" method=\"post\">
<input type=hidden name=idcd value=\"$elcd\" />
<input type=hidden name=nom value=\"$nombre\" />
<input type=hidden name=cd value=\"$listacd\" />
<input type=hidden name=use value=\"$user\" />
<input type=hidden name=pas value=\"$pass\" />
<input type=hidden name=te value=\"$tel\" />
<input type=hidden name=di value=\"$dir\" />
<input type=\"submit\" name=\"lista2\"  value=\"cambiar centro en sistema\" /></form>
";	}
else { echo"Existe un Error en la Captura<br>Favor de Intentar nuevamente";
}

}
?>